Skip to main content
`Ctrl`+`K`

# KSPGetConvergedNegativeCurvature

Get the flag to declare convergence if negative curvature is detected

## Synopsis

    #include "petscksp.h"
    PetscErrorCode KSPGetConvergedNegativeCurvature(KSP ksp, PetscBool *flg)

Collective

## Input Parameter

- ksp - iterative context

## Output Parameter

- flg - the Boolean value

## See Also

KSP: Linear System Solvers, `KSP`, `KSPConvergedReason`, `KSPSetConvergedNegativeCurvature()`

## Level

advanced

## Location

src/ksp/ksp/interface/iterativ.c

Index of all KSP routines
Table of Contents for all manual pages
Index of all manual pages